Add aggregation URL
curl --request POST \
--url https://api.birdeye.com/resources/v1/aggregation/business/{business_id} \
--header 'Content-Type: application/json' \
--data '
{
"sourceAlias": "citysearch ",
"url": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco"
}
'import requests
url = "https://api.birdeye.com/resources/v1/aggregation/business/{business_id}"
payload = {
"sourceAlias": "citysearch ",
"url": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sourceAlias: 'citysearch ',
url: 'http://www.citysearch.com/biz/maria-da-vittorio-san-francisco'
})
};
fetch('https://api.birdeye.com/resources/v1/aggregation/business/{business_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 237030543,
"sourceAlias": "citysearch",
"sourceName": "Citysearch",
"sourceUrl": "http://www.citysearch.com/biz/maria",
"Body": ""
}{
"code": 1030,
"message": "URL cannot be blank"
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Aggregation
Add Aggregation Link
Add Aggregation Link adds the aggregation URL to the location.
POST
/
v1
/
aggregation
/
business
/
{business_id}
Add aggregation URL
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Id of the business.
Response
OK
Id of the created Aggregation.
Alias of the source.
Name of the source.
Url of the souce.
{ "id": "237030543", "sourceAlias": "citysearch", "sourceName": "Citysearch", "sourceUrl": "http://www.citysearch.com/biz/maria-da-vittorio-san-francisco" }
⌘I